Name: netacct-mysql
Version: 0.73
Release: alt1.3

Summary: A tool for loging an IP traffic passing throghput interfaces


Group: Monitoring
License: GPL
URL: http://netacct-mysql.sourceforge.net

Source0: %name-%version.tar.bz2
Source1: nacctd.init
Source2: nacctd.init.master
Patch1: netacct-mysql_unixtime.patch

# Automatically added by buildreq on Tue Jan 28 2003
BuildRequires: libMySQL-devel-static libpcap-devel zlib-devel

Requires: libMySQL libpcap0.8 zlib
%description
This package logs network traffic. It provides a daemon (nacctd) that
 logs all traffic passing the machine it runs on (similiar to what mrta
 does). Best works when is installed on router/gateway machine. 
 It supports peering file which means that you can divide you traffic in
 international and local peering. 






%prep
%setup -q -n %name-%version
#%patch1 -p1

%build
./configure --sysconfdir=/etc/netacct 

%make_build

%install
make sysconfdir=$RPM_BUILD_ROOT/%_sysconfdir/netacct  sbindir=$RPM_BUILD_ROOT/%_sbindir mandir=$RPM_BUILD_ROOT/%_mandir install
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/rc.d/init.d
install -m 0755 %SOURCE1 $RPM_BUILD_ROOT/%_sysconfdir/rc.d/init.d/nacctd
mkdir -p $RPM_BUILD_ROOT/%_docdir/%name-%version/{contrib,tools,web}
install -m 0644 AUTHORS CHANGES COPYING ChangeLog INSTALL NEWS README \
	    TODO netacct.sql $RPM_BUILD_ROOT/%_docdir/%name-%version 
install -m 0644 contrib/* $RPM_BUILD_ROOT/%_docdir/%name-%version/contrib
install -m 0644 tools/* $RPM_BUILD_ROOT/%_docdir/%name-%version/tools
cp -R  web/* $RPM_BUILD_ROOT/%_docdir/%name-%version/web

%preun
%preun_service nacctd

%post
%post_service nacctd



%files
%config(noreplace) %_sysconfdir/netacct/*
#%config(noreplace) %_initdir/*
%config(noreplace) /etc/rc.d/init.d/nacctd
#%config(noreplace) /etc/rc.d/init.d/nacctd
%_mandir/*/*
%_sbindir/nacctd
#%doc AUTHORS CHANGES COPYING ChangeLog INSTALL NEWS README 
#%doc TODO netacct.sql contrib/* tools/* web/*
%doc %_docdir/*

%changelog
* Wed Feb 18 2004 Victor V Ismakaev <ivv@altlinux.ru> 0.73-alt1.3
- rebuild for Sisyphus

* Tue Feb 11 2003 Victor V Ismakaev <ivv@altlinux.ru> 0.73-alt1.2
- added doc and utils and tools
- added(but not applied) patch for unixtime logging im mysql

* Tue Jan 28 2003 Victor V Ismakaev <ivv@altlinux.ru> 0.73-alt1.1
- rebuild  for Master 2.2

* Thu Sep 24 2002 Victor V Ismakaev <ivv@altlinux.ru> 0.73-alt1
- First adaptation for AltLinux

